Package org.eclipse.emf.cdo.etypes.provider

# Class StringToStringMapEntryItemProvider

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.edit.provider.ItemProviderAdapter
org.eclipse.emf.cdo.edit.CDOItemProviderAdapter
org.eclipse.emf.cdo.etypes.provider.StringToStringMapEntryItemProvider

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `ResourceLocator`, `CreateChildCommand.Helper`, `IChangeNotifier`, `IDisposable`, `IEditingDomainItemProvider`, `IItemColorProvider`, `IItemFontProvider`, `IItemLabelProvider`, `IItemPropertySource`, `IItemStyledLabelProvider`, `IStructuredItemContentProvider`, `ITableItemColorProvider`, `ITableItemFontProvider`, `ITableItemLabelProvider`, `ITreeItemContentProvider`

public class StringToStringMapEntryItemProvider extends CDOItemProviderAdapter implements IEditingDomainItemProvider, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource, ITableItemLabelProvider, ITableItemColorProvider, ITableItemFontProvider, IItemColorProvider, IItemFontProvider, IItemStyledLabelProvider
This is the item provider adapter for a `Map.Entry` object.

Since:
  4.6
Generated

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

`CDOItemProviderAdapter.AdaptersDescriptor, CDOItemProviderAdapter.CDOPropertyDescriptor, CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor, CDOItemProviderAdapter.ContainerDescriptor, CDOItemProviderAdapter.DirectResourceDescriptor, CDOItemProviderAdapter.IDDescriptor, CDOItemProviderAdapter.ReadLockedDescriptor, CDOItemProviderAdapter.StateDescriptor, CDOItemProviderAdapter.URIDescriptor, CDOItemProviderAdapter.VersionDescriptor, CDOItemProviderAdapter.ViewDescriptor, CDOItemProviderAdapter.WriteLockedDescriptor, CDOItemProviderAdapter.WriteOptionDescriptor`

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

## Constructor Summary

Constructors
Constructor
Description
`StringToStringMapEntryItemProvider(AdapterFactory adapterFactory)`
This constructs an instance from a factory and a notifier.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addKeyPropertyDescriptor(Object object)`
This adds a property descriptor for the Key feature.
`protected void`
`addValuePropertyDescriptor(Object object)`
This adds a property descriptor for the Value feature.
`protected void`
`collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)`
This adds `CommandParameter`s describing the children that can be created under this object.
`protected IItemPropertyDescriptor`
`createKeyPropertyDescriptor(Map.Entry<String,String> entry)`
Creates the property descriptor for the entry's key.
`protected IItemPropertyDescriptor`
`createValuePropertyDescriptor(Map.Entry<String,String> entry)`
Creates the property descriptor the entry's value.
`protected Annotation`
`getAnnotation(Object object)`
Returns the containing annotation of the given annotation detail.
`protected AnnotationItemProviderAdapterFactory`
`getAnnotationItemProviderAdapterFactory()`
Returns the `AnnotationItemProviderAdapterFactory` if the adapter factory is of that type, `null` otherwise.
`protected BasicAnnotationValidator.Assistant`
`getAssistant()`
Returns the `assistant` of the `annotation item provider adapter factory`, if available.
`Object`
`getColumnImage(Object object, int columnIndex)`
This returns `getImage(object)` for the column index `0` or `super.getImage(object)` otherwise.
`String`
`getColumnText(Object object, int columnIndex)`
This returns `getText(object)` for the column index `0` or `super.getText(object)` otherwise.
`Object`
`getImage(Object object)`
This returns StringToStringMapEntry.gif.
`protected Collection<?>`
`getKeyChoiceOfValues(Map.Entry<String,String> entry)`
Returns the choices for the value feature.
`protected ModelElement`
`getModelElement(Object object)`
Returns the containing model element of the `containing annotation`.
`List<IItemPropertyDescriptor>`
`getPropertyDescriptors(Object object)`
`List<IItemPropertyDescriptor>`
`getPropertyDescriptorsGen(Object object)`
This returns the property descriptors for the adapted class.
`ResourceLocator`
`getResourceLocator()`
Return the resource locator for this item provider's resources.
`Object`
`getStyledText(Object object)`
This returns the label styled text for the adapted class.
`String`
`getText(Object object)`
This returns the label text for the adapted class.
`protected Collection<?>`
`getValueChoiceOfValues(Map.Entry<String,String> entry)`
Returns the choices for the value feature.
`boolean`
`hasChildren(Object object)`
`protected boolean`
`isKeySortChoices(Map.Entry<String,String> entry)`
Returns whether this entry supports `sorting` choices for the property descriptor for the value.
`protected boolean`
`isValueMultiLine(Map.Entry<String,String> entry)`
Returns whether this entry supports a `multi-line` property descriptor for the value feature.
`protected boolean`
`isValueSortChoices(Map.Entry<String,String> entry)`
Returns whether this entry supports `sorting` choices for the property descriptor for the value feature.
`void`
`notifyChanged(Notification notification)`
This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
`protected boolean`
`shouldComposeCreationImage()`

### Methods inherited from class org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

`addAdaptersDescriptor, addCDOPropertyDescriptor, addChangeSubscriptionPoliciesDescriptor, addContainerDescriptor, addDirectResourceDescriptor, addIDDescriptor, addReadLockedDescriptor, addStateDescriptor, addURIDescriptor, addVersionDescriptor, addViewDescriptor, addWriteLockedDescriptor, addWriteOptionDescriptor, getParent`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

`createCommand, getChildren, getNewChildDescriptors, getParent`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`getFont`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

`getEditableValue, getPropertyDescriptor`

### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

`getElements`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemFontProvider

`getFont`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

`getChildren, getParent`

## Constructor Details

### StringToStringMapEntryItemProvider

public StringToStringMapEntryItemProvider(AdapterFactory adapterFactory)
This constructs an instance from a factory and a notifier.

Generated

## Method Details

### getAnnotationItemProviderAdapterFactory

protected AnnotationItemProviderAdapterFactory getAnnotationItemProviderAdapterFactory()
Returns the `AnnotationItemProviderAdapterFactory` if the adapter factory is of that type, `null` otherwise.

Returns:
  the annotation item provider adapter factory or `null`

### getAssistant

protected BasicAnnotationValidator.Assistant getAssistant()
Returns the `assistant` of the `annotation item provider adapter factory`, if available.

Returns:
  the assistant or `null`.

### getAnnotation

protected Annotation getAnnotation(Object object)
Returns the containing annotation of the given annotation detail.

### getModelElement

protected ModelElement getModelElement(Object object)
Returns the containing model element of the `containing annotation`.

### getPropertyDescriptorsGen

public List<IItemPropertyDescriptor> getPropertyDescriptorsGen(Object object)
This returns the property descriptors for the adapted class.

Generated

### getPropertyDescriptors

public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)

This implementation is specialized to clear the cached `descriptors` if this adapter was created by an `EAnnotationItemProviderAdapterFactory`.

Specified by:
  `getPropertyDescriptors` in interface `IItemPropertySource`
Overrides:
  `getPropertyDescriptors` in class `CDOItemProviderAdapter`

### addKeyPropertyDescriptor

protected void addKeyPropertyDescriptor(Object object)
This adds a property descriptor for the Key feature. This implementation is specialized to call `createKeyPropertyDescriptor(Map.Entry)`.

Generated
  NOT

### createKeyPropertyDescriptor

protected IItemPropertyDescriptor createKeyPropertyDescriptor(Map.Entry<String,String> entry)
Creates the property descriptor for the entry's key.

This implementation creates specialized instance of property descriptor that delegates `ItemPropertyDescriptor.getChoiceOfValues(Object)` to `getKeyChoiceOfValues(Map.Entry)`, that delegates `ItemPropertyDescriptor.isSortChoices(Object)` to `isKeySortChoices(Map.Entry)`, and returns `true` for `ItemPropertyDescriptor.isChoiceArbitrary(Object)`.

Parameters:
  `entry` - the detail entry.
Returns:
  the property descriptor for the entry's key.

### isKeySortChoices

protected boolean isKeySortChoices(Map.Entry<String,String> entry)
Returns whether this entry supports `sorting` choices for the property descriptor for the value.

This implementation always returns `true`

Parameters:
  `entry` - the entry to test.
Returns:
  whether this entry supports sorting choices for the property descriptor for the value.

### getKeyChoiceOfValues

protected Collection<?> getKeyChoiceOfValues(Map.Entry<String,String> entry)
Returns the choices for the value feature.

This implementation uses the `getAnnotationItemProviderAdapterFactory()` `assistant` to

invalid reference

    create

modeled objects and uses the keys of their
invalid reference

    applicable properties

to build a set of valid keys, removing any keys already in the `details`, and then including the current value of the entry's key. Otherwise it returns `null`

Parameters:
  `entry` - the entry.
Returns:
  the choices for the value feature.

### addValuePropertyDescriptor

protected void addValuePropertyDescriptor(Object object)
This adds a property descriptor for the Value feature. This implementation is specialized to delegate to `createValuePropertyDescriptor(Map.Entry)`.

Generated
  NOT

### createValuePropertyDescriptor

protected IItemPropertyDescriptor createValuePropertyDescriptor(Map.Entry<String,String> entry)
Creates the property descriptor the entry's value.

This implementation creates specialized instance of property descriptor that delegates `ItemPropertyDescriptor.getChoiceOfValues(Object)` to `getValueChoiceOfValues(Map.Entry)`, that delegates `ItemPropertyDescriptor.isMultiLine(Object)` to `isValueMultiLine(Map.Entry)`, that delegates `ItemPropertyDescriptor.isSortChoices(Object)` to `isValueSortChoices(Map.Entry)`, and returns `true` for `ItemPropertyDescriptor.isChoiceArbitrary(Object)`.

This implementation uses the `getAnnotationItemProviderAdapterFactory()` `assistant` to

invalid reference

    create

modeled objects, when available. If the entry corresponds one of the modeled object's
invalid reference

    applicable properties

, it `gets the property descriptor` for that object, `creates a decorate` for descriptor, and finally creates yet another decorator that that decorator that makes the property look and behave like a regular value property descriptor, except that the description, value handling, and cell editor is that of the modeled object.

Parameters:
  `entry` - the detail entry.
Returns:
  the property descriptor for the entry's value.

### isValueMultiLine

protected boolean isValueMultiLine(Map.Entry<String,String> entry)
Returns whether this entry supports a `multi-line` property descriptor for the value feature.

This implementation always returns `true`.

Parameters:
  `entry` - the entry in question.
Returns:
  whether this entry supported a multi-line property descriptor for the value.

### isValueSortChoices

protected boolean isValueSortChoices(Map.Entry<String,String> entry)
Returns whether this entry supports `sorting` choices for the property descriptor for the value feature.

This implementation always returns `true`.

Parameters:
  `entry` - the entry to test.
Returns:
  whether this entry supports a sorting choices for the property descriptor for the value.

### getValueChoiceOfValues

protected Collection<?> getValueChoiceOfValues(Map.Entry<String,String> entry)
Returns the choices for the value feature. This implementation always returns `null`.

Parameters:
  `entry` - the entry.
Returns:
  the choices for the value feature.

### hasChildren

public boolean hasChildren(Object object)

Specified by:
  `hasChildren` in interface `ITreeItemContentProvider`
Overrides:
  `hasChildren` in class `CDOItemProviderAdapter`
Generated

### getImage

public Object getImage(Object object)
This returns StringToStringMapEntry.gif.

Specified by:
  `getImage` in interface `IItemLabelProvider`
Overrides:
  `getImage` in class `ItemProviderAdapter`
Generated

### getColumnImage

public Object getColumnImage(Object object, int columnIndex)
This returns `getImage(object)` for the column index `0` or `super.getImage(object)` otherwise.

Specified by:
  `getColumnImage` in interface `ITableItemLabelProvider`
Overrides:
  `getColumnImage` in class `ItemProviderAdapter`
See Also:
  - `getText(Object)`
  - `getColumnText(Object, int)`
Generated
  NOT

### shouldComposeCreationImage

protected boolean shouldComposeCreationImage()

Overrides:
  `shouldComposeCreationImage` in class `ItemProviderAdapter`
Generated

### getText

public String getText(Object object)
This returns the label text for the adapted class.

Specified by:
  `getText` in interface `IItemLabelProvider`
Overrides:
  `getText` in class `ItemProviderAdapter`
Generated

### getColumnText

public String getColumnText(Object object, int columnIndex)
This returns `getText(object)` for the column index `0` or `super.getText(object)` otherwise.

Specified by:
  `getColumnText` in interface `ITableItemLabelProvider`
Overrides:
  `getColumnText` in class `ItemProviderAdapter`
See Also:
  - `getImage(Object)`
  - `getColumnImage(Object, int)`
Generated
  NOT

### getStyledText

public Object getStyledText(Object object)
This returns the label styled text for the adapted class.

Specified by:
  `getStyledText` in interface `IItemStyledLabelProvider`
Overrides:
  `getStyledText` in class `ItemProviderAdapter`
Generated

### notifyChanged

public void notifyChanged(Notification notification)
This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

Specified by:
  `notifyChanged` in interface `Adapter`
Overrides:
  `notifyChanged` in class `AdapterImpl`
Generated

### collectNewChildDescriptors

protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)
This adds `CommandParameter`s describing the children that can be created under this object.

Overrides:
  `collectNewChildDescriptors` in class `ItemProviderAdapter`
Generated

### getResourceLocator

public ResourceLocator getResourceLocator()
Return the resource locator for this item provider's resources.

Overrides:
  `getResourceLocator` in class `ItemProviderAdapter`
Generated
  NOT